Subject: bug#31363: closed (Re: bug#31363: 26.1; Fix gud-statement for pdb)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 May 2018 19:49:03 +0000

Your bug report

#31363: 26.1; Fix gud-statement for pdb

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31363: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31363
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31363: 26.1; Fix gud-statement for pdb
From: Eli Zaretskii <[email-masked]>
To: Xu Chunyang <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 May 2018 22:47:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Xu Chunyang <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 06 May 2018 19:57:21 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Xu Chunyang <[email-masked]>
> >> Date: Fri, 04 May 2018 19:47:15 +0800
> >> 
> >> I'm using Python 3.6.5. When I have selected a simple expression (such
> >> as 42) then run M-x gud-statement, it fails by saying
> >> 
> >> *** IndentationError: unexpected indent
> >> 
> >> The following changes fix the issue from here.
> >
> > Thanks.  Is the problem and the solution the same for Python 2.x?
> 
> Yes, I've checked both of them against Python 2.7.14.

Thanks, pushed to the release branch.

Subject: 26.1; Fix gud-statement for pdb
From: Xu Chunyang <[email-masked]>
To: [email-masked]
Date: Fri, 04 May 2018 19:47:15 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using Python 3.6.5. When I have selected a simple expression (such
as 42) then run M-x gud-statement, it fails by saying

*** IndentationError: unexpected indent

The following changes fix the issue from here.

diff --git a/lisp/progmodes/gud.el b/lisp/progmodes/gud.el
index 15b428bb68..9cf818e99e 100644
--- a/lisp/progmodes/gud.el
+++ b/lisp/progmodes/gud.el
@@ -1694,8 +1694,7 @@ pdb
   (gud-def gud-up     "up"           "<" "Up one stack frame.")
   (gud-def gud-down   "down"         ">" "Down one stack frame.")
   (gud-def gud-print  "p %e"         "\C-p" "Evaluate Python expression at point.")
-  ;; Is this right?
-  (gud-def gud-statement "! %e"      "\C-e" "Execute Python statement at point.")
+  (gud-def gud-statement "!%e"      "\C-e" "Execute Python statement at point.")
 
   ;; (setq comint-prompt-regexp "^(.*pdb[+]?) *")
   (setq comint-prompt-regexp "^(Pdb) *")